Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.tracking.clickthrough
Class ClickThroughEventHandler

    java.lang.Object
      com.bea.p13n.tracking.clickthrough.ClickThroughEventHandler

    public class ClickThroughEventHandler

extends Object

This singleton fires off events based on HttpServletRequest information.

Field Summary
`protected static com.bea.p13n.i18n.TrackingExceptionTextFormatter` | `exceptionFormatter`

Method Summary
`void` | `fireEvent(javax.servlet.http.HttpServletRequest req)` Extracts `EVENT_TYPE` information from the `HttpServletRequest` and fires an event by extracting related information from the `HttpServletRequest`.
`static ClickThroughEventHandler` | `getInstance()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### exceptionFormatter

    protected static final com.bea.p13n.i18n.TrackingExceptionTextFormatter exceptionFormatter

Method Detail

### getInstance

    public static ClickThroughEventHandler getInstance()

### fireEvent

    public void fireEvent(javax.servlet.http.HttpServletRequest req)
                   throws InvalidArgumentException

  Extracts `EVENT_TYPE` information from the `HttpServletRequest` and fires an event by extracting related information from the `HttpServletRequest`. Expects the caller to handle any invocation errors.
  If the event type attribute is not found in the `HttpServletRequest` - does not fire an event.

  Parameters
    `req` - The HttpServletRequest.
  Throws
    `InvalidArgumentException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.